Get automation access
curl --request GET \
--url https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id}/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id}/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/automations/{id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"automationId": "<string>",
"mode": "everyone",
"accessLevel": "MANAGE",
"groupAccess": [
{
"id": "<string>",
"accessLevel": "MANAGE"
}
],
"memberAccess": [
{
"id": "<string>",
"accessLevel": "MANAGE"
}
]
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Automations
Get automation access
Retrieves who can view, edit and manage an automation. Organization admins and the automation creator always have full access and are not listed. Requires admin access to the organization.
GET
/
api
/
public
/
organizations
/
{orgId}
/
automations
/
{id}
/
access
Get automation access
